Name:		asteroids3D
Summary:	A 3D, first-person game of blowing up asteroids
Version:	0.5.1
Release:	%mkrel 3
License:	GPLv2+
Group:		Games/Arcade
Source:		https://sourceforge.net/projects/a3d/%name-%version.tar.bz2
URL:		https://sourceforge.net/projects/a3d/	
BuildRequires:	Mesa-common-devel

%description
asteroids3D is a 3D, first-person game of blowing up asteroids.
The graphics more accurately reflect the future position of the 
targeted asteroid and provide information about closure rate.

%prep
%setup -q 

%build
%configure --with-gamesdir=%_gamesbindir --with-gamedatadir=%_gamesdatadir/%name
%make

%install
rm -rf $RPM_BUILD_ROOT
make install gamesdir=$RPM_BUILD_ROOT%{_gamesbindir} gamedatadir=$RPM_BUILD_ROOT%{_gamesdatadir}/%name

mkdir -p $RPM_BUILD_ROOT%{_datadir}/applications/
cat << EOF > %buildroot%{_datadir}/applications/%_real_vendor-%{name}.desktop
[Desktop Entry]
Type=Application
Exec=%{_gamesbindir}/%{name}
Icon=arcade_section
Categories=Game;ArcadeGame;
Name=Asteroids3D
Comment=%{Summary}
EOF

%clean
rm -fr %buildroot

%files
%defattr (644,root,root,755)
%doc COPYRIGHT README.html 
%{_datadir}/applications/%_real_vendor-%{name}.desktop
%{_gamesdatadir}/%name
%defattr (755,root,root,755)
%{_gamesbindir}/%{name}



%changelog

* Fri Jan 11 2013 umeabot <umeabot> 0.5.1-3.mga3
+ Revision: 346472
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed May 11 2011 dmorgan <dmorgan> 0.5.1-2.mga1
+ Revision: 97133
- imported package asteroids3D

